Subject: bug#31547: 25.3; Core dump: g_main_context_prepare() called recursively from within a source's check() or prepare() member.

From: Eli Zaretskii <[email-masked]>
Date: Wed, 23 May 2018 18:18:47 +0300

> Date: Wed, 23 May 2018 07:10:00 +0200
> From: Marc Wilhelm Küster <[email-masked]>
> Cc: Marc Wilhelm Küster <[email-masked]>,
> 	[email-masked]
> 
> > That's because your Emacs binary is stripped of debugging symbols.  Is
> > there perhaps an auxiliary distribution with those symbols as separate
> > files?  If so, could you please install that and repeat what you've
> > done?
> > 
> Not to my knowledge out of the box, I'm afraid. I could perhaps configure and compile my own version of the emacs package with debuging included, but I'd need some time to study how that might work under Archlinux.

If you do decide to build your own Emacs, I suggest to build version
26.1, because it's quite possible this problem is fixed there (and if
it isn't, it becomes much more urgent).

> Are there alternatives?

Not that I know of.